Bug 217287 - hald-addon-storage exits when optical media is inserted.
hald-addon-storage exits when optical media is inserted.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 10:19 EST by Rob Andrews
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 19:38:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes a call to dbus_error_is_set() in libhal. (481 bytes, patch)
2007-01-09 17:15 EST, Rob Andrews
no flags Details | Diff

  None (edit)
Description Rob Andrews 2006-11-26 10:19:11 EST
Description of problem:
I've been trying to work out why gnome-volume-manager is so reluctant to
automount recently. Hence, I stopped the hald service and started it in verbose
mode from the command line (hald --verbose=yes --daemon=no).

Upon inserting an optical disc into the DVD drive, the following message is spat
out to the console:

process 3153: arguments to dbus_error_is_set() were incorrect, assertion "error
!= NULL" failed in file dbus-errors.c line 303.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
/usr/libexec/hald-addon-storage exited

Obviously, at which point this disappears from the process list:
 3153 ?        S      0:00 hald-addon-storage: polling /dev/hda

Version-Release number of selected component (if applicable):
hal-0.5.8.1-6.fc7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Ensure optical drive is empty
2. Start hald --verbose=yes --daemon=no
3. Insert optical disk into drive
  
Actual results:
hald-addon-storage dies.

Expected results:
A dbus signal is sent and gnome-volume-manager prepares the media for usage.

Additional info:
None.
Comment 1 Rob Andrews 2007-01-09 17:15:26 EST
Created attachment 145201 [details]
Fixes a call to dbus_error_is_set() in libhal.

Okay, I gave up trying to run gdb on hald in non-daemon mode, and for some
reason checked bugzilla.freedesktop.org (odd, that).

https://bugs.freedesktop.org/show_bug.cgi?id=9385 is the same bug as this.

https://bugs.freedesktop.org/attachment.cgi?id=8158 is a patch that fixes this
problem. Although it's not quite the same as the the patch that has been
applied to the hal source (see
http://gitweb.freedesktop.org/?p=hal.git;a=blob;h=d7a0c659aec33384a63da5cf27d0cffd4db62485;hb=479ea978bb394cc36f4d5bd35cc96f9e71d4fff9;f=libhal/libhal.c
at line 1460 for what has actually been applied).

For simplicity, I'm attaching a patch to this bug that fixes the problem.
Optical discs work again!
Comment 2 Rob Andrews 2007-01-09 17:16:45 EST
Oh, the patch I attached was the one that was actually committed to the hal source.
Comment 3 Rob Andrews 2007-01-09 17:18:35 EST
You'd probably know that, being as you committed it :)

(Sorry for the third comment in as many minutes)
Comment 4 David Zeuthen 2007-04-02 19:38:18 EDT
This patch is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.